%define aurox_ver 9.4
%define rel 1

%define version 2.4.22
%define kernel_rel 1.2188.nptl

%define kernel %{version}-%{kernel_rel}

%define name kernel-ntfs
%if%{!?_with_smp:0}%{?_with_smp:1}
%define kflavour -smp
%define flavour smp
%define name kernel-ntfs-%{flavour}
%endif
%if%{!?_with_bigmem:0}%{?_with_bigmem:1}
%define _with_smp 1
%define kflavour -bigmem
%define flavour bigmem
%define name kernel-ntfs-%{flavour}
%endif


Name: %{name}
Version: %{version}
Release: %{kernel_rel}.aur.%{rel}
URL: http://www.kernel.org/pub/linux/kernel/v2.4
Summary: NTFS read support for the Linux kernel
Epoch: 0
Group: System Environment/Kernel
License: GPL

BuildRoot: %{_tmppath}/%{name}-buildroot

Source: kernel-ntfs-%{version}.tar.bz2

Requires: kernel%{?kflavour} = %{kernel}
BuildPrereq: kernel-source = %{kernel}
Provides: kernel-modules

%description
NTFS read support for the Linux kernel

%prep
%setup -q -n kernel-ntfs-%{version}

cp -a /usr/src/linux-%{kernel}/fs/ntfs .
sed -e 's/@@EXTRAVERSION@@/%{kernel_rel}/' Makefile.in > ntfs/Makefile
ln -s /usr/src/linux-%{kernel}/configs/kernel-%{version}-%{_target_cpu}%{?kflavour}.config ntfs/.config

%build
(cd ntfs && MODFLAGS="-DMODULE=1 -D__BOOT_KERNEL_H_ -D__MODULE_KERNEL_%{_target_cpu}=1 %{?_with_smp:-D__BOOT_KERNEL_SMP=1} %{!?_with_smp:-D__BOOT_KERNEL_UP=1}" make)


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kernel}%{?flavour}/kernel/fs/ntfs
cp -a ntfs/ntfs.o $RPM_BUILD_ROOT/lib/modules/%{kernel}%{?flavour}/kernel/fs/ntfs/

%post
/sbin/depmod -a -F /boot/System.map-%{kernel}%{?flavour} %{kernel}%{?flavour} >/dev/null 2>&1 || :

%postun
/sbin/depmod -a -F /boot/System.map-%{kernel}%{?flavour} %{kernel}%{?flavour} >/dev/null 2>&1 || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/modules/%{kernel}%{?flavour}/kernel/fs/ntfs/ntfs.o

%changelog
* Wed May 05 2004 Aurox Team <aurox@aurox.org> 0:2.4.22-1.2188.nptl.aur.1
- rebuild for new kernel
- rebuild for updated kernel
- provide kernel-modules, so it will be installed by yum, not updated
- rebuild for kernel 2.4.22-1.2174.nptl
- update for Fedora Core 1 updated kernel

* Thu Nov 13 2003 Robert Zmijan <aurox@aurox.org> 2.4.20-20.9.aur.1
- Initial RPM
